Package org.springframework.security.config.annotation.web.configurers

# Class PortMapperConfigurer.HttpPortMapping

java.lang.Object
org.springframework.security.config.annotation.web.configurers.PortMapperConfigurer.HttpPortMapping

Enclosing class:
  PortMapperConfigurer<H extends HttpSecurityBuilder<H>>

public final class PortMapperConfigurer.HttpPortMapping extends Object
Allows specifying the HTTPS port for a given HTTP port when redirecting between HTTP and HTTPS.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`PortMapperConfigurer<H>`
`mapsTo(int httpsPort)`
Maps the given HTTP port to the provided HTTPS port and vice versa.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### mapsTo

public PortMapperConfigurer<H> mapsTo(int httpsPort)
Maps the given HTTP port to the provided HTTPS port and vice versa.

Parameters:
  `httpsPort` - the HTTPS port to map to
Returns:
  the `PortMapperConfigurer` for further customization